<?php

/*
 Plugin Name: Show Event Name in Check-in app
 Plugin URI: http://tickera.com/
 Description: Show event name in the Check-in app
 Author: Tickera.com
 Author URI: http://tickera.com/
 Version: 1.0
 TextDomain: tc
 Domain Path: /languages/

 Copyright 2018 Tickera (http://tickera.com/)
*/

if (!defined('ABSPATH'))
   exit; // Exit if accessed directly

if (!class_exists('TC_Custom_Show_Event_Name')) {

   class TC_Custom_Show_Event_Name {

       var $version = '1.0';
       var $title = 'Custom Show Event Name';
       var $name = 'custom_show_event_name';
       var $dir_name = 'check-in-app-show-event-name';
       var $location = 'plugins';
       var $plugin_dir = '';
       var $plugin_url = '';

       function __construct() {

           $this->init_vars();

           add_filter('tc_checkin_custom_fields', array(&$this, 'add_checkin_event_name'), 10, 5);
       }

       function init_vars() {



           if (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . $this->dir_name . '/' . basename(__FILE__))) {

               $this->location = 'subfolder-plugins';

               $this->plugin_dir = WP_PLUGIN_DIR . '/' . $this->dir_name . '/';

               $this->plugin_url = plugins_url('/', __FILE__);
           } else if (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . basename(__FILE__))) {

               $this->location = 'plugins';

               $this->plugin_dir = WP_PLUGIN_DIR . '/';

               $this->plugin_url = plugins_url('/', __FILE__);
           } else if (is_multisite() && defined('WPMU_PLUGIN_URL') && defined('WPMU_PLUGIN_DIR') && file_exists(WPMU_PLUGIN_DIR . '/' . basename(__FILE__))) {

               $this->location = 'mu-plugins';

               $this->plugin_dir = WPMU_PLUGIN_DIR;

               $this->plugin_url = WPMU_PLUGIN_URL;
           } else {

               wp_die(sprintf(__('There was an issue determining where %s is installed. Please reinstall it.', 'tc'), $this->title));
           }
       }

       function add_checkin_event_name ($custom_fields, $ticket_instance_id, $event_id, $order, $ticket_type) {
           
                        $ticket_instance = new TC_Ticket( (int) $ticket_instance_id );
			$ticket			 = new TC_Ticket();
			$event_id		 = $ticket->get_ticket_event( apply_filters( 'tc_ticket_type_id', $ticket_instance->details->ticket_type_id ) );
			$event_name		 = get_the_title( $event_id ); //, 'event_name', true);
           
           $custom_field_value = $event_name;
           

           if (isset($custom_field_value) && !empty($custom_field_value) && !is_null($custom_field_value)) {
               $custom_fields[] = array('Event', $custom_field_value);
           }

           return $custom_fields;
       }

   }

}

$TC_Custom_Show_Event_Name = new TC_Custom_Show_Event_Name();
?>
